Bug 797956 - accept -s for mount.cifs
accept -s for mount.cifs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-27 10:54 EST by Karel Zak
Modified: 2014-06-18 03:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: cifs-utils-5.4-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 00:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2012-02-27 10:54:55 EST
man mount:

  The syntax of external mount helpers is:

     /sbin/mount.<suffix> spec dir [-sfnv] [-o options] [-t type.subtype]

Unfortunately mount.cifs reports -s as unknown option, so we need an exception in libmount to use -s for NFS only ;-( 

It would be nice to standardize the API and support (or silently ignore) all the options everywhere.

https://bugs.archlinux.org/task/28682
Comment 1 Karel Zak 2012-02-27 11:14:07 EST
Note that ideal (from my point of view) would be to link mount.cifs with libmount. There is function to parse specific command line options, so whole API between mount(8) and mount.<type> helpers is hidden within library and maintained on one place.

The library also provides some another functions for work with fstab and mtab, mount options parsing, ...

We already use the library in mount.nfs (Fedora >= 16).

If you agree, I can prepare some patches for [u]mount.cifs too.
Comment 2 Jeff Layton 2012-02-27 11:30:52 EST
That sounds like a fine idea in principle. I'd be all for moving mount.cifs
to libmount. We deprecated umount.cifs a while ago, so there should be no
need for that.

The only problem here is that this is more than a userspace problem.

For NFS, -s just adds "sloppy" to the mount option string that it passes to
the kernel. We should make that do do the same for mount.cifs/cifs.ko, but
we'll also need to fix up the in-kernel mount option parser to respect that
option as well.

Unfortunately, mount option parsing in cifs.ko is an absolute mess...
Comment 3 Jeff Layton 2012-03-26 12:49:19 EDT
Patches for both pieces (userspace and kernel) have been proposed upstream. The
kernel piece is built on top of Sachin's change to switch cifs.ko to use the
standard option parser:

http://article.gmane.org/gmane.linux.kernel.cifs/5787
http://article.gmane.org/gmane.linux.kernel.cifs/5777

Just waiting for comment from the maintainer (Steve French) at this point.
Comment 4 Fedora Update System 2012-04-18 22:23:44 EDT
cifs-utils-5.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cifs-utils-5.4-1.fc17
Comment 5 Fedora Update System 2012-04-19 22:27:42 EDT
Package cifs-utils-5.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cifs-utils-5.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6257/cifs-utils-5.4-1.fc17
then log in and leave karma (feedback).
Comment 6 Sachin Prabhu 2012-04-20 04:28:39 EDT
The kernel support for this option:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d81625587f4fac44a4367c468ba2fe2d981460f8

ie: Linux 3.4-rc1
Comment 7 Fedora Update System 2012-05-02 00:47:21 EDT
cifs-utils-5.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.